{% extends 'profile/layouts/frontend/base.html' %}

{% load static %}


{% block main %}
<div class="container-fluid position-relative p-0">
    <!-- start banner  - berita -->
    <div class="container-fluid bg-primary py-5 bg-header" style="margin-bottom: 90px;">
        <div class="row py-5">
            <div class="col-12 pt-lg-5 mt-lg-5 text-center">
                <h5 class="display-5 text-white animated zoomIn">Berita Terkini</h5>
                <a href="" class="h5 text-white">Dinas Pendidikan & Kebudayaan Provinsi Papua Tengah</a>
            </div>
        </div>
    </div>
    <!-- end banner  - berita -->
</div>
<!-- Full Screen Search Start -->
<div class="modal fade" id="searchModal" tabindex="-1">
    <div class="modal-dialog modal-fullscreen">
        <div class="modal-content" style="background: rgba(9, 30, 62, .7);">
            <div class="modal-header border-0">
                <button type="button" class="btn bg-white btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body d-flex align-items-center justify-content-center">
                <div class="input-group" style="max-width: 600px;">
                    <input type="text" class="form-control bg-transparent border-primary p-3" placeholder="Type search keyword">
                    <button class="btn btn-primary px-4"><i class="bi bi-search"></i></button>
                </div>
            </div>
        </div>
    </div>
</div>
 <!-- Blog Start -->
 <div class="container-fluid wow fadeInUp" data-wow-delay="0.1s">
    <div class="container">
        <div class="row">
            <!-- Blog list Start -->
            <div class="col-lg-8">
                <!-- Blog Detail Start -->
                <div class="mb-5">
                    <img class="img-fluid w-100 rounded mb-5" src="/media/{{berita.thumbnail}}" alt="">
                    <h3 class="mb-3">{{berita.title}}</h3>
                    <small class="me-3 mb-3"><i class="fa fa-calendar-alt text-primary me-2"></i> {{berita.created_at|date:"d M, Y"}}</small>
                    {{ berita.content|safe }}
                </div>
                <!-- Blog Detail End -->   
                <div class="section-title section-title-sm position-relative pb-3 mb-4">
                        <h5 class="mb-0">Baca Juga Berita Lainnya</h5>
                    </div>
                <div class="owl-carousel testimonial-carousel wow fadeInUp" data-wow-delay="0.6s">
                    {%  for all_berita in berita_all %}
                        <div class="testimonial-item bg-light my-4">
                            <div class="blog-item bg-light rounded overflow-hidden">
                                <div class="blog-img position-relative overflow-hidden">
                                    <img class="img-fluid" src="/media/{{all_berita.thumbnail}}" alt="">
                                </div>
                                <div class="p-4">
                                    <div class="d-flex mb-3">
                                        <small class="me-3"><i class="far fa-calendar-alt text-primary me-2"></i>{{all_berita.created_at|date:"d M, Y"}}</small>
                                    </div>
                                    <p>{{all_berita.title}}</p>
                                    
                                    <a class="text-uppercase" href="{% url 'profile:detail_berita' all_berita.slug %}">Baca Berita <i class="bi bi-arrow-right"></i></a>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div> 
            </div>
            <!-- Blog list End -->


            <!-- Sidebar Start -->
            <div class="col-lg-4">
                <!-- Search Form Start -->
                <div class="mb-5 wow slideInUp" data-wow-delay="0.1s">
                    <div class="input-group">
                        <input type="text" class="form-control p-3" placeholder="Ceri Berita...">
                        <button class="btn btn-primary px-4"><i class="bi bi-search"></i></button>
                    </div>
                </div>
                <!-- Search Form End -->
                {% include 'profile/layouts/frontend/side_news.html' %}
                <!-- Recent Post End -->
                <!-- Category Start -->
                <div class="mb-5 wow slideInUp" data-wow-delay="0.1s">
                    <div class="section-title section-title-sm position-relative pb-3 mb-4">
                        <h5 class="mb-0">Kategori Berita</h5>
                    </div>
                    {% for x in cat %}
                    <div class="link-animated d-flex flex-column justify-content-start">
                        <a class="h5 fw-semi-bold bg-light rounded py-2 px-3 mb-2 category-link" href="{% url 'profile:kat_berita' x.slug %}">
                            <i class="bi bi-arrow-right me-2"></i>{{ x.nama }}
                        </a>
                    </div>
                    {% endfor %}
                </div>
                <!-- Category End -->

              

                <!-- Image Start -->
                <div class="mb-5 wow slideInUp" data-wow-delay="0.1s">
                    <img src="img/blog/agenda1.png" alt="" class="img-fluid rounded">
                </div>
                <!-- Image End -->

                <!-- Tags Start -->
                <div class="mb-5 wow slideInUp" data-wow-delay="0.1s">
                    <div class="section-title section-title-sm position-relative pb-3 mb-4">
                        <h5 class="mb-0">Tag</h5>
                    </div>
                    {% for tag_berita in news_tags %}
                        <a href="{% url 'profile:tag_berita' slug=tag_berita.tag.slug %}" class="btn btn-light m-1">{{tag_berita.tag.name}}</a>
                    {% endfor %}
                </div>
                <!-- Tags End -->
            </div>
            <!-- Sidebar End -->
        </div>
    </div>
</div>
<!-- Blog End -->
{% endblock main %}
{% include 'profile/layouts/frontend/footer.html' %}

